package com.example.testes

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.util.Log
import android.widget.TextView
import com.example.testes.databinding.ActivityMainBinding
import org.json.JSONArray
import org.json.JSONException
import org.json.JSONObject

class MainActivity : AppCompatActivity() {

    lateinit var binding: ActivityMainBinding

    private fun imageListFromJson(json: JSONObject) {
        try {
            val array: JSONArray = json.getJSONArray("post")
            val list = BooruImage.listFromJsonArray(array)
            Log.i("Image", list[5].toString())
        }
        catch (e: JSONException) {
            e.printStackTrace()
        }


    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityMainBinding.inflate(layoutInflater)
        setContentView(binding.root)
        Request.getRequest(
            this,
            "https://gelbooru.com/index.php?page=dapi&s=post&q=index&json=1",
            ::imageListFromJson
        )
    }
}
